From e427fd578a8de3220e72ab31b9eb18b412195a93 Mon Sep 17 00:00:00 2001
From: gns <infiwang@proton.me>
Date: Thu, 25 Jan 2024 23:59:52 +0800
Subject: [PATCH] riscv: correct symbol version of __vdso_flush_icache

Previously, __riscv_flush_icache would not work correctly as __vdso_flush_icache
had a wrong symbol version. Fix this by correcting symbol version.

Fixes: 0a48860c27a8 ("add riscv64 architecture support")
---
 src/linux/cache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/linux/cache.c b/src/linux/cache.c
index 0eb051c2..45024309 100644
--- a/src/linux/cache.c
+++ b/src/linux/cache.c
@@ -21,7 +21,7 @@ weak_alias(__cachectl, cachectl);
 #ifdef SYS_riscv_flush_icache
 
 #define VDSO_FLUSH_ICACHE_SYM "__vdso_flush_icache"
-#define VDSO_FLUSH_ICACHE_VER "LINUX_4.5"
+#define VDSO_FLUSH_ICACHE_VER "LINUX_4.15"
 
 static void *volatile vdso_func;
 
-- 
2.39.2

